Skip to main content
Version: 1.10.0

Cluster BIP340 - Reshare a key share when you are the new party

POST 

/cluster/bip340/reshare/new-party

authorization

This API endpoint requires an API Key with at least one of the following Roles: KeysManager

WARNING: Key resharing is an advanced feature of the Sodot MPC Vertex. We strongly advise consulting with the Sodot team before using it, as incorrect usage might lead to the detriment of the private key security. To use this feature correctly, developers using this feature must make sure that at least n - t + 1 parties of the t-of-n signing quorum delete their current shares before using the resharing of the private key. Also, after resharing, the resharing operation must not be considered complete until such deletion has occurred. Since deleting a share cannot be guaranteed cryptographically, it must be guaranteed by the software architecture (hence, by the developers using this API).

Resharing the private key of the t-of-n quorum of signers, the resultant key shares will be of the exact same public key as the previous quorum. Resharing should be used in cases where we aim to modify the current t-of-n quorum with a new quorum with newT-of-newN signers for the same public key.

This is the method that a new party (meaning one that does not currently have a key share) should use for receiving a key share in the new newT-of-newN quorum. The method takes the same input parameters as keygen since for a new party joining the quorum the reshare operation is very similar to a keygen operation. This is a cluster reshare meaning that you reshare from an existing cluster A to a new cluster B, B should contain all the parties from A that participate in the reshare.

Request

Responses